Skip to content
Docs

List FOCUS billing charges

GET/__remote/api.vercel.com/v1/billing/charges
Returns the billing charge data in FOCUS v1.3 JSONL format for a specified Edgenivo team, within a date range specified by from and to query parameters. Supports 1-day granularity with a maximum date range of 1 year. The response is streamed as newline-delimited JSON (JSONL) and can be optionally compressed with gzip if the Accept-Encoding: gzip header is provided. SkuId is the stable product ID. For unmapped items, it is derived from the item identifier. This is only available for Owner, Member, Developer, Security, Billing, and Enterprise Viewer roles for the supplied team.
Request
curl -N --request GET \
--url '/__remote/api.vercel.com/v1/billing/charges?teamId=<team>&from=<from_date>&to=<to_date>' \
--header 'Authorization: Bearer <token>' \
--header 'Accept-Encoding: gzip' \
--compressed
Response
{
"BilledCost": "123",
"BillingCurrency": "USD",
"ChargeCategory": "Adjustment",
"ChargePeriodEnd": "string",
"ChargePeriodStart": "string",
"ConsumedQuantity": "1",
"ConsumedUnit": "units",
"EffectiveCost": "123",
"PricingCategory": "Committed",
"PricingCurrency": "USD",
"PricingQuantity": "1",
"PricingUnit": "units",
"RegionId": "example_id",
"RegionName": "Example Name",
"ServiceCategory": "AI and Machine Learning",
"ServiceName": "Example Name",
"ServiceProviderName": "Example Name",
"SkuId": "example_id",
"Tags": "value"
}
AuthorizationbearerToken

Default authentication mechanism

fromstringRequired
Inclusive start of the date range as an ISO 8601 date-time string in UTC.
tostringRequired
Exclusive end of the date range as an ISO 8601 date-time string in UTC.
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
200Success
BilledCostnumberRequired
Charge amount serving as the basis for invoicing
BillingCurrencystringRequired
Currency used for billing (ISO 4217)
ChargeCategorystringRequired
Classification of the charge
ChargePeriodEndstringRequired
Exclusive end of the charge period (ISO 8601 UTC) - Required in v1.3
ChargePeriodStartstringRequired
Inclusive start of the charge period (ISO 8601 UTC)
ConsumedQuantitynumberRequired
Volume of resource consumed. Null when a charge does not involve measurable consumption quantity.
ConsumedUnitstringRequired
Unit of measurement for consumed quantity. Null when the charge is not measured in units.
EffectiveCostnumberRequired
Amortized cost representation including discounts, pre-commitment credit purchase amount, etc.
PricingCategorystringRequired
Pricing model used for the charge.
PricingCurrencystringRequired
PricingQuantitynumberRequired
PricingUnitstringRequired
RegionIdstringOptional
Provider-assigned region identifier
RegionNamestringOptional
Display name for the region
ServiceCategorystringOptional
High-level category of the service
ServiceNamestringRequired
Display name for the service/product
ServiceProviderNamestringRequired
Entity making the resource/service available for purchase (v1.3)
SkuIdstringRequired
Stable identifier for the charged product or item
TagsobjectRequired
Charge metadata including the Edgenivo ProjectId and ProjectName information
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
500Error
503Error